Return to docker build

This commit is contained in:
tocharl 2023-02-01 11:50:38 +01:00
parent b9ca6ce962
commit d61c0f5922
28 changed files with 23 additions and 4417 deletions

View file

@ -2,7 +2,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-build:$CI_COMMIT_REF_SLUG
retry: 2
variables:
GIT_DEPTH: 0
@ -42,7 +42,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/gtk4-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/gtk4-build:$CI_COMMIT_REF_SLUG
before_script:
- pushd $LINUX_BASEDIR
- autoreconf -f -i
@ -58,7 +58,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-build:$CI_COMMIT_REF_SLUG
before_script:
- pushd $LINUX_BASEDIR
- autoreconf -f -i
@ -72,7 +72,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-build:$CI_COMMIT_REF_SLUG
before_script:
- pushd $LINUX_BASEDIR
- autoreconf -f -i
@ -147,7 +147,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-repro-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-repro:$CI_COMMIT_REF_SLUG
dependencies: []
before_script:
- if [ ! -z "$ACNG" ]; then sed -i -e "s,http://,$ACNG/," /etc/apt/sources.list; else echo "no proxy configured"; fi
@ -170,7 +170,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-scan-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-scan-build:$CI_COMMIT_REF_SLUG
before_script:
- if [ ! -z "$ACNG" ]; then sed -i -e "s,http://,$ACNG/," /etc/apt/sources.list; else echo "no proxy configured"; fi
- apt-get update
@ -192,7 +192,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-testing-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-testing:$CI_COMMIT_REF_SLUG
before_script:
- if [ ! -z "$ACNG" ]; then sed -i -e "s,http://,$ACNG/," /etc/apt/sources.list; else echo "no proxy configured"; fi
- apt-get update
@ -216,7 +216,7 @@
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/fed-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/fed-build:$CI_COMMIT_REF_SLUG
before_script:
- dnf -y install rpm-build git rpmdevtools
- rpmdev-setuptree
@ -290,14 +290,14 @@
tags:
- docker
- arm
image: $CI_REGISTRY_IMAGE/deb-sbuild-arm:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-sbuild:$CI_COMMIT_REF_SLUG
.build-deb-base-x86:
extends: .build-deb-base
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/deb-sbuild-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-sbuild:$CI_COMMIT_REF_SLUG
.build-fed-base:
retry: 2
@ -319,14 +319,14 @@
tags:
- docker
- arm
image: $CI_REGISTRY_IMAGE/fed-build-arm:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/fed-build:$CI_COMMIT_REF_SLUG
.build-fed-base-x86:
extends: .build-fed-base
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/fed-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/fed-build:$CI_COMMIT_REF_SLUG
.build-suse-base:
dependencies:
@ -352,14 +352,14 @@
tags:
- docker
- arm
image: $CI_REGISTRY_IMAGE/suse-build-arm:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/suse-build:$CI_COMMIT_REF_SLUG
.build-suse-base-x86:
extends: .build-suse-base
tags:
- docker
- x86
image: $CI_REGISTRY_IMAGE/suse-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/suse-build:$CI_COMMIT_REF_SLUG
.inject-debs:
tags:
@ -428,7 +428,7 @@
.check-translations:
tags:
- docker
image: $CI_REGISTRY_IMAGE/deb-build-x86:$CI_COMMIT_REF_SLUG
image: $CI_REGISTRY_IMAGE/deb-build:$CI_COMMIT_REF_SLUG
before_script:
- if [ ! -z "$ACNG" ]; then sed -i -e "s,http://,$ACNG/," /etc/apt/sources.list; else echo "no proxy configured"; fi
- apt-get update

View file

@ -1,2 +0,0 @@
FROM debian:stable
RUN apt-get update && apt-get -y install eatmydata && eatmydata apt-get -y install --no-install-recommends autoconf-archive autoconf automake libtool libpcsclite-dev libp11-kit-dev libgtk-3-dev libassuan-dev libgpg-error-dev libssl-dev libxml2-dev libcurl4-openssl-dev libproxy-dev plantuml zip gettext build-essential g++ git graphviz && apt-get clean

View file

@ -1,2 +0,0 @@
FROM debian:stable
RUN apt-get update && apt-get -y install eatmydata && eatmydata apt-get -y install reprotest diffoscope equivs devscripts faketime disorderfs sudo autoconf automake libtool libpcsclite-dev libp11-kit-dev libgtk-3-dev libassuan-dev libgpg-error-dev libssl-dev libxml2-dev libcurl4-openssl-dev libproxy-dev plantuml zip gettext build-essential g++ git graphviz autoconf-archive && apt-get clean

View file

@ -1,40 +0,0 @@
#!/bin/bash
set -e
set -x
if [ -z "$CODE" ] && [ ! -z "$1" ]
then
CODE=$1
fi
shift
if [ -z "$ARCH" ] && [ ! -z "$1" ]
then
ARCH=$1
fi
shift
if [ -z "$DIST" ] && [ ! -z "$1" ]
then
DIST=$1
fi
shift
mkdir -p /srv/chroot
if [ -z $ACNG ]
then
ACNG=http://
fi
case $DIST in
debian)
sbuild-createchroot --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}deb.debian.org/debian
;;
ubuntu)
sbuild-createchroot --include=debhelper --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}archive.ubuntu.com/ubuntu /usr/share/debootstrap/scripts/gutsy
# Revert the "default to xz compression" option in recent
# Ubuntu distributions
sed -i -e "s/my @dpkg_options;/my @dpkg_options = ('-Zxz');/" /srv/chroot/$CODE/usr/bin/dh_builddeb
;;
*)
echo "E: unknown dist: $DIST" >&2
exit 1
;;
esac

View file

@ -1,29 +0,0 @@
# The following was (mostly) copied shamelessly from
# https://github.com/tianon/dockerfiles, sbuild/Dockerfile, but with the Debian
# distribution and a few things changed so we get a more recent version of
# debootstrap.
FROM debian:unstable-slim
RUN echo "deb http://deb.debian.org/debian experimental main" >> /etc/apt/sources.list
RUN set -ex; \
apt-get update; \
apt-get -y upgrade; \
apt-get install -y --no-install-recommends \
sbuild schroot zstd \
\
debian-archive-keyring ubuntu-archive-keyring \
wget ca-certificates \
\
apt-utils \
devscripts libwww-perl file \
fakeroot \
rsync sudo unzip eatmydata debhelper devscripts \
; \
apt-get -y -t experimental install debootstrap; \
rm -rf /var/lib/apt/lists/*
WORKDIR /tmp
COPY setup-chroot.sh /usr/local/bin

View file

@ -1,34 +0,0 @@
#!/usr/bin/env bash
set -Eeuo pipefail
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")"
suite="$1"; shift
hostArch="$(dpkg --print-architecture)"
arch="${1:-$hostArch}"
case "$arch" in
amd64 | i386 | s390x) bashbrewArch="$arch" ;;
arm64) bashbrewArch='arm64v8' ;;
armel) bashbrewArch='arm32v5' ;;
armhf) bashbrewArch='arm32v7' ;;
mips64el) bashbrewArch='mips64le' ;;
ppc64el) bashbrewArch='ppc64le' ;;
*) echo >&2 "error: unknown bashbrew arch for dpkg arch '$arch'"; exit 1 ;;
esac
wget -O "$suite-$arch.tar.xz.sha256" "https://doi-janky.infosiftr.net/job/tianon/job/debuerreotype/job/$bashbrewArch/lastSuccessfulBuild/artifact/$suite/sbuild/rootfs.tar.xz.sha256"
wget -O "$suite-$arch.tar.xz" "https://doi-janky.infosiftr.net/job/tianon/job/debuerreotype/job/$bashbrewArch/lastSuccessfulBuild/artifact/$suite/sbuild/rootfs.tar.xz"
sha256="$(sha256sum "$suite-$arch.tar.xz" | cut -d' ' -f1)"
( set -x && [ "$sha256" = "$(< "$suite-$arch.tar.xz.sha256")" ] )
tee "/etc/schroot/chroot.d/$suite-$arch-sbuild" <<-EOF
[$suite-$arch-sbuild]
description=Debian $suite/$arch autobuilder
groups=root,sbuild
root-groups=root,sbuild
profile=sbuild
type=file
file=$PWD/$suite-$arch.tar.xz
source-root-groups=root,sbuild
EOF

View file

@ -28,7 +28,12 @@ case $DIST in
sbuild-createchroot --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}deb.debian.org/debian
;;
ubuntu)
sbuild-createchroot --include=debhelper --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}archive.ubuntu.com/ubuntu /usr/share/debootstrap/scripts/gutsy
if [ -z "$ARCH" = "armhf" ] || [ -z "$ARCH" = "arm64" ]
then
sbuild-createchroot --include=debhelper --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}ports.ubuntu.com /usr/share/debootstrap/scripts/gutsy
else
sbuild-createchroot --include=debhelper --arch=$ARCH $CODE /srv/chroot/$CODE ${ACNG}archive.ubuntu.com/ubuntu /usr/share/debootstrap/scripts/gutsy
fi
# Revert the "default to xz compression" option in recent
# Ubuntu distributions
sed -i -e "s/my @dpkg_options;/my @dpkg_options = ('-Zxz');/" /srv/chroot/$CODE/usr/bin/dh_builddeb

View file

@ -1,2 +0,0 @@
FROM debian:stable
RUN apt-get update && apt-get -y install eatmydata && eatmydata apt-get -y --no-install-recommends install clang-tools autoconf automake libtool libassuan-dev libgpg-error-dev libpcsclite-dev libp11-kit-dev libgtk-3-dev libssl-dev libxml2-dev libcurl4-openssl-dev libproxy-dev plantuml zip gettext build-essential git g++ graphviz curl && apt-get clean

View file

@ -1,2 +0,0 @@
FROM debian:testing
RUN apt-get update && apt-get -y install eatmydata && eatmydata apt-get -y install --no-install-recommends autoconf-archive autoconf automake libtool libpcsclite-dev libp11-kit-dev libgtk-3-dev libassuan-dev libgpg-error-dev libssl-dev libxml2-dev libcurl4-openssl-dev libproxy-dev plantuml zip gettext build-essential g++ git graphviz && apt-get clean

View file

@ -1,2 +0,0 @@
FROM fedora:latest
RUN dnf -y --enablerepo='updates-testing' install mock git rpm-build rpmdevtools && dnf clean all

View file

@ -1,3 +0,0 @@
FROM debian:unstable
COPY experimental.list /etc/apt/sources.list.d/
RUN apt-get update && apt-get -y install eatmydata && eatmydata apt-get -y install --no-install-recommends autoconf automake autoconf-archive gettext libtool libpcsclite-dev libp11-kit-dev libassuan-dev libssl-dev libxml2-dev libcurl4-openssl-dev libproxy-dev plantuml zip gettext build-essential g++ git graphviz && eatmydata apt-get -y -t experimental install libxml2-dev libgtk-4-dev libgtk-3-dev- && apt-get clean

View file

@ -1 +0,0 @@
deb http://deb.debian.org/debian experimental main contrib non-free

View file

@ -1,4 +0,0 @@
FROM opensuse/leap
RUN zypper install -y git make perl-libwww-perl perl-XML-Parser perl-LWP-Protocol-https && git clone https://github.com/openSUSE/obs-build && cd obs-build && make install && cd .. && rm -rf obs-build
COPY sl15.3.conf /usr/lib/build/configs
COPY sl15.4.conf /usr/lib/build/configs

File diff suppressed because it is too large Load diff

File diff suppressed because it is too large Load diff

View file

@ -101,7 +101,7 @@ deb-sbuild-arm:
IMAGE_NAME: deb-sbuild
only:
changes:
- .ci/dockerfiles/deb-sbuild-arm/**/*
- .ci/dockerfiles/deb-sbuild/**/*
- .ci/builds-docker.yml
- .ci/build-configs.yml
@ -111,7 +111,7 @@ deb-sbuild-x86:
IMAGE_NAME: deb-sbuild
only:
changes:
- .ci/dockerfiles/deb-sbuild-x86/**/*
- .ci/dockerfiles/deb-sbuild/**/*
- .ci/builds-docker.yml
- .ci/build-configs.yml